### A free/open-source library for quantitative finance

Public Types | Public Member Functions | Protected Attributes
ModifiedCraigSneydScheme Class Reference

modified Craig-Sneyd scheme More...

`#include <ql/methods/finitedifferences/schemes/modifiedcraigsneydscheme.hpp>`

List of all members.

## Public Types

typedef OperatorTraits < FdmLinearOp > | traits
typedef traits::operator_type | operator_type
typedef traits::array_type | array_type
typedef traits::bc_set | bc_set
typedef traits::condition_type | condition_type

## Public Member Functions

| ModifiedCraigSneydScheme (Real theta, Real mu, const boost::shared_ptr< FdmLinearOpComposite > &map, const std::vector< boost::shared_ptr< FdmDirichletBoundary > > &bc_set=std::vector< boost::shared_ptr< FdmDirichletBoundary > >())
void | step (array_type &a, Time t)
void | setStep (Time dt)

## Protected Attributes

Time | dt_
const Real | theta_
const Real | mu_
const boost::shared_ptr < FdmLinearOpComposite > & | map_
const std::vector < boost::shared_ptr < FdmDirichletBoundary > > | bcSet_

## Detailed Description

modified Craig-Sneyd scheme

References: K. J. in ’t Hout and S. Foulon, ADI finite difference schemes for option pricing in the Heston model with correlation, http://arxiv.org/pdf/0811.3427